Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
auth
/
users
/
{username}
/
change_username
aid_auth_users_username_change_username_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/auth/users/{username}/change_username \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>"
}
'
{
  "username": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "customers_user",
      "href": "https://api.dintero.com/v1/accounts/P12345678/users/99919"
    },
    {
      "rel": "phone_number",
      "href": "tel:+4799999999"
    },
    {
      "rel": "email",
      "href": "mailto:name@email.com"
    }
  ],
  "mfa": {
    "challenge_type": "<string>",
    "oob_channels": [
      "sms"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
username
string
required

Username identifying the user

Maximum string length: 255

Body

application/json
username
string
required

The user's new usernname

Required string length: 1 - 255

Response

User updated

A user with password

username
string
required

The user's username.

Required string length: 1 - 255
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only

Links to resources related to the user, links is required when MFA is enabled.

Example:
[
{
"rel": "customers_user",
"href": "https://api.dintero.com/v1/accounts/P12345678/users/99919"
},
{
"rel": "phone_number",
"href": "tel:+4799999999"
},
{
"rel": "email",
"href": "mailto:name@email.com"
}
]
mfa
object

Require Multi-factor authentication (MFA) for the user

Last modified on May 12, 2026